## ros-kinetic-roseus-mongo 1.7.4

=== debian/changelog ===
ros-kinetic-roseus-mongo (1.7.4-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 04 Feb 2019 00:00:00 -0000

ros-kinetic-roseus-mongo (1.7.3-0xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/master' into last-status-msg
  * Contributors: Furushchev

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 01 Feb 2019 00:00:00 -0000

ros-kinetic-roseus-mongo (1.7.2-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 Nov 2018 00:00:00 -0000

ros-kinetic-roseus-mongo (1.7.1-0xenial) xenial; urgency=high

  * add melodic test (#567 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/567>)
    * rosues_mongo/CMakeLists.txt: check mongodb_store package and deciede to run tests
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Jul 2018 00:00:00 -0000

ros-kinetic-roseus-mongo (1.7.0-0xenial) xenial; urgency=high

  * roseus_mongo: support non blocking insertion & update docstring (#541 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/541>)
    * roseus_mongo: skip non wait insertion test on hydro
    * roseus_mongo: minor fix in CMakeLists.txt
    * roseus_mongo: support update method
    * roseus_mongo: bugfix: assert on decoding string without blacket
    * roseus_mongo: add docs; minor fix
    * roseus_mongo: support non blocking insertion
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 11 Jul 2018 00:00:00 -0000

ros-kinetic-roseus-mongo (1.6.3-0xenial) xenial; urgency=high

  * roseus_mongo: fix decode escaped string (#538 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/538>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 08 Sep 2017 00:00:00 -0000

ros-kinetic-roseus-mongo (1.6.2-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jun 2017 00:00:00 -0000

ros-kinetic-roseus-mongo (1.6.1-0xenial) xenial; urgency=high

  * add kinetic test (#505 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/505>)
    * msg generation is only required unil indigo
    * mongo is only released from indigo
  * [roseus_mongo] fix: timeout must be integer (#498 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/498>)
    * ros::get-param always returns numerial value as double instead *mongo-service-timeout* assumes parameter as integer.
  * [roseus_mongo][json-decode.l] fix: parse-number / parse-constant return only string (#496 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/496>)
  * [roseus_mongo][test] use randomized mongod instance for testing (#492 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/492>)
  * [roseus_mongo] support json encode for ros::Time (#488 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/488>)
    * [roseus_mongo] test ros::time
    * [roseus_mongo][json-encode.l] support ros::time for json::encode
    * [roseus_mongo][json-utils.l] fix: with-blacket return value
  * [roseus_mongo/euslisp/mongo-client.l] use absolute path for json-encode / decode scripts (#481 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/481> )
  * [roseus_mongo] query mongo server with timeout option (#480 <https://github.com/jsk-ros-pkg/jsk_roseus/issues/480> )
    * [README.md] fix: wrong description of parameter for timeout
    * [roseus_mongo/test/test-mongo-client.l] add test for mongodb query with timeout
    * [roseus_mongo] add timeout option for querying mongodb server
  * Contributors: Kei Okada, Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Mar 2017 00:00:00 -0000

ros-kinetic-roseus-mongo (1.6.0-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Oct 2016 00:00:00 -0000

ros-kinetic-roseus-mongo (1.5.3-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-kinetic-roseus-mongo (1.5.2-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 May 2016 00:00:00 -0000

ros-kinetic-roseus-mongo (1.5.1-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 22 Apr 2016 00:00:00 -0000

ros-kinetic-roseus-mongo (1.5.0-0xenial) xenial; urgency=high

  * {roseus_smach, roseus_mongo}/README.md: fix section/subsection
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-kinetic-roseus-mongo (1.4.1-0xenial) xenial; urgency=high

  * [roseus_mongo/test/test_mongo_client.test] add missing machine tag for localhost
  * [roseus_mongo] test with new mongodb_store; more loose condition to enable limit option
  * [roseus_mongo/test/temp_mongodb_store.xml] update launch file path with fix https://github.com/strands-project/mongodb_store/pull/151
    [roseus_mongo/test/test_mongo_client_hydro.test] moved deprecated test launch file for hydro
    [roseus_mongo/CMakeLists.txt] updated to test only CATKIN_ENABLE_TESTING; check mongodb_store version and switch test launch file
  * [roseus_mongo/test/test-mongo-client.l] limit test for indigo later only
    [roseus_mongo/euslisp/mongo-client.l] limit ':limit' option only for indigo and later
  * Contributors: Kei Okada, Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Nov 2015 00:00:00 -0000

ros-kinetic-roseus-mongo (1.4.0-0xenial) xenial; urgency=high

  * [roseus_mongo/README.md] update readme for setting params
  * [roseus_mongo/euslisp/mongo-client.l] fix param name for *mongo-database*
  * [roseus_mongo] support timezone
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 03 Nov 2015 00:00:00 -0000

ros-kinetic-roseus-mongo (1.3.9-0xenial) xenial; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 14 Sep 2015 00:00:00 -0000

ros-kinetic-roseus-mongo (1.3.8-0xenial) xenial; urgency=high


